Items - Get Queryable Graph Type (beta)
取得目前可查詢的圖形類型。
備註
GraphModel 項目目前處於預覽狀態 (深入瞭解)。
此 API 屬於 Beta 版本,僅供評估與開發用途。 它可能會根據意見反應而變更,不建議用於生產環境。
呼叫此 API 時,呼叫者必須指定 true 為查詢參數 beta 的值(preview 查詢參數已被替換為 beta。為了向下相容, preview 仍支援且行為與 beta)。
權限
呼叫端必須具有 查看器 工作區角色。 呼叫端必須具有圖形模型的 讀取 權限。
必要的委派範圍
Workspace.Read.All 或 Workspace.ReadWrite.All
Microsoft Entra 支援的身份
此 API 支援本節中列出的Microsoft 身分識別。
| 身份 | Support |
|---|---|
| User | Yes |
| 服務主體 和 受控識別 | Yes |
介面
GET https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/graphModels/{graphModelId}/getQueryableGraphType?beta={beta}
URI 參數
| 名稱 | 位於 | 必要 | 類型 | Description |
|---|---|---|---|---|
|
graph
|
path | True |
string (uuid) |
GraphModel ID。 |
|
workspace
|
path | True |
string (uuid) |
工作區識別碼。 |
|
beta
|
query | True |
boolean |
必須設定這個必要的參數才能 |
回應
| 名稱 | 類型 | Description |
|---|---|---|
| 200 OK |
目前可查詢的圖形類型。 |
|
| 429 Too Many Requests |
服務費率上限被超標。 伺服器會回傳一個 標題 Retry-After: integer |
|
| Other Status Codes |
常見的錯誤碼:
|
範例
Get queryable graph type example
範例要求
GET https://api.fabric.microsoft.com/v1/workspaces/f089354e-8366-4e18-aea3-4cb4a3a50b48/graphModels/41ce06d1-d81b-4ea0-bc6d-2ce3dd2f8e87/getQueryableGraphType?beta=True
範例回覆
{
"nodeTypes": [
{
"alias": "096a5133-fd82-4000-ac8a-404532ab6fd6",
"primaryKeyProperties": [
"customerIDK"
],
"labels": [
"customer"
],
"properties": [
{
"name": "customerIDK",
"type": "INT"
},
{
"name": "firstName",
"type": "STRING"
},
{
"name": "lastName",
"type": "STRING"
},
{
"name": "fullName",
"type": "STRING"
}
]
},
{
"alias": "dced4642-b93d-4da4-815c-a171932043a4",
"primaryKeyProperties": [
"productIDK"
],
"labels": [
"products"
],
"properties": [
{
"name": "productIDK",
"type": "INT"
},
{
"name": "productNumber",
"type": "STRING"
},
{
"name": "productName",
"type": "STRING"
},
{
"name": "modelName",
"type": "STRING"
},
{
"name": "makeFlag",
"type": "INT"
},
{
"name": "standardCost",
"type": "FLOAT"
},
{
"name": "listPrice",
"type": "FLOAT"
},
{
"name": "subCategoryIDFK",
"type": "INT"
}
]
}
],
"edgeTypes": [
{
"alias": "3ef6a474-ef38-4923-abcf-6f2e9230f1eb",
"labels": [
"customerProducts"
],
"sourceNodeType": {
"alias": "096a5133-fd82-4000-ac8a-404532ab6fd6"
},
"destinationNodeType": {
"alias": "dced4642-b93d-4da4-815c-a171932043a4"
},
"properties": []
}
]
}
定義
| 名稱 | Description |
|---|---|
|
Edge |
圖形邊緣類型。 |
|
Error |
錯誤相關的資源詳細資料物件。 |
|
Error |
錯誤回應。 |
|
Error |
錯誤回應詳細數據。 |
|
Graph |
指定圖形結構的圖形類型。 |
|
Node |
圖形節點類型。 |
|
Node |
節點類型的參照。 |
| Property |
圖形元素屬性。 |
EdgeType
圖形邊緣類型。
| 名稱 | 類型 | Description |
|---|---|---|
| alias |
string |
邊緣類型別名。 |
| destinationNodeType |
目標節點類型。 |
|
| labels |
string[] |
邊緣類型標籤。 |
| properties |
Property[] |
邊緣類型性質的清單。 |
| sourceNodeType |
來源節點類型。 |
ErrorRelatedResource
錯誤相關的資源詳細資料物件。
| 名稱 | 類型 | Description |
|---|---|---|
| resourceId |
string |
發生錯誤的資源識別碼。 |
| resourceType |
string |
發生錯誤的資源類型。 |
ErrorResponse
錯誤回應。
| 名稱 | 類型 | Description |
|---|---|---|
| errorCode |
string |
提供錯誤狀況相關信息的特定標識碼,允許服務與其使用者之間的標準化通訊。 |
| message |
string |
錯誤的人類可讀取表示法。 |
| moreDetails |
其他錯誤詳細數據的清單。 |
|
| relatedResource |
錯誤相關的資源詳細數據。 |
|
| requestId |
string (uuid) |
與錯誤相關聯的要求標識碼。 |
ErrorResponseDetails
錯誤回應詳細數據。
| 名稱 | 類型 | Description |
|---|---|---|
| errorCode |
string |
提供錯誤狀況相關信息的特定標識碼,允許服務與其使用者之間的標準化通訊。 |
| message |
string |
錯誤的人類可讀取表示法。 |
| relatedResource |
錯誤相關的資源詳細數據。 |
GraphType
指定圖形結構的圖形類型。
| 名稱 | 類型 | Description |
|---|---|---|
| edgeTypes |
Edge |
圖形邊緣類型的清單。 |
| nodeTypes |
Node |
圖形節點類型的清單。 |
NodeType
圖形節點類型。
| 名稱 | 類型 | Description |
|---|---|---|
| alias |
string |
節點類型別名。 |
| labels |
string[] |
節點類型標籤。 |
| primaryKeyProperties |
string[] |
節點類型主索引鍵內容的清單。 |
| properties |
Property[] |
節點類型屬性的清單。 |
NodeTypeReference
節點類型的參照。
| 名稱 | 類型 | Description |
|---|---|---|
| alias |
string |
節點類型別名。 |
Property
圖形元素屬性。
| 名稱 | 類型 | Description |
|---|---|---|
| name |
string |
屬性名稱。 |
| type |
string |
屬性類型。 |